Skip to main content
GET
Get charge by ID

Authorizations

Authorization
string
header
required

HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.

Path Parameters

id
string
required

Unique charge identifier

Response

Successfully retrieved the charge

id
string

The unique identifier of the charge

Example:

"2vorkDcXyvzifL63YX09S9VqcnI"

status
enum<string>

The status of the charge

Available options:
paid,
pending,
refused,
failed,
refunded,
in_analysis,
authentication_required,
pre_chargeback,
chargeback
Example:

"paid"

chargebackAlertRefunded
boolean | null

Presente em cobranças com alerta de pré-chargeback (status: pre_chargeback). true = o valor já foi estornado ao portador como parte do tratamento do alerta; false = disputa aberta sem estorno. null quando não há alerta.

Example:

true

chargebackAlertReason
string | null

Motivo/referência informado no alerta de pré-chargeback.

Example:

"Chargeback - NSU 123456789"

pspRefId
string | null

The reference identifier in the PSP (Payment Service Provider) system

Example:

"ch_123456789"

amount
number

The total amount of the charge

Example:

100.5

currency
string

The currency of the charge in ISO 4217 format

Example:

"USD"

spread
number

The spread applied to the charge

Example:

2.5

net
number

The net amount after applying the spread

Example:

98

customer
object
paymentMethod
Credit Card · object
merchantId
string

The merchant identifier

Example:

"2vorkDcXyvzifL63YX09S9VqcnI"

paymentDetails
Credit Card · object

Additional payment details. Its different based on the payment method.

metadata
object | null

Custom metadata associated with the charge

Example:
paidAt
string<date-time> | null

The date and time when the charge was paid

Example:

"2023-01-15T14:30:00Z"

createdAt
string<date-time>

The date and time when the charge was created

Example:

"2023-01-15T14:30:00Z"

updatedAt
string<date-time>

The date and time when the charge was last updated

Example:

"2023-01-15T14:30:00Z"